/***************************************************************************//**
* \file Coprocessor_ADC_1_DMA_3.h
* \version 2.0
*
*  This file provides constants, parameter values and API definition for the
*  Coprocessor_ADC_1_DMA_3 Component.
*
********************************************************************************
* \copyright
* Copyright 2016-2017, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions,
* disclaimers, and limitations in the end user license agreement accompanying
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(Coprocessor_ADC_1_DMA_3_CH_H)
#define Coprocessor_ADC_1_DMA_3_CH_H

#include "cy_device_headers.h"
#include "cyfitter.h"
#include "dma/cy_dma.h"
#include "trigmux/cy_trigmux.h"

#if defined(__cplusplus)
extern "C" {
#endif

#define Coprocessor_ADC_1_DMA_3_DW_BLOCK       (0u)
#define Coprocessor_ADC_1_DMA_3_DW_CHANNEL     (1u)
#define Coprocessor_ADC_1_DMA_3_HW             (DW0)
#define Coprocessor_ADC_1_DMA_3_INTR_MASK      (CY_DMA_INTR_MASK)

/* Channel settings */
#define Coprocessor_ADC_1_DMA_3_PRIORITY       (3u)
#define Coprocessor_ADC_1_DMA_3_DESCRIPTOR_NUM (2u)
#define Coprocessor_ADC_1_DMA_3_PREEMPTABLE    (false)
#define Coprocessor_ADC_1_DMA_3_BUFFERABLE     (false)

/***************************************
*        Function Prototypes
***************************************/

                void Coprocessor_ADC_1_DMA_3_Start(void const * srcAddress, void const * dstAddress);
__STATIC_INLINE void Coprocessor_ADC_1_DMA_3_Stop(void);
                void Coprocessor_ADC_1_DMA_3_Init(void);
__STATIC_INLINE void Coprocessor_ADC_1_DMA_3_ChannelEnable(void);
__STATIC_INLINE void Coprocessor_ADC_1_DMA_3_ChannelDisable(void);

__STATIC_INLINE void Coprocessor_ADC_1_DMA_3_SetDescriptor       (cy_stc_dma_descriptor_t const * descriptor);
__STATIC_INLINE void Coprocessor_ADC_1_DMA_3_SetNextDescriptor   (cy_stc_dma_descriptor_t const * descriptor);
__STATIC_INLINE void Coprocessor_ADC_1_DMA_3_SetPriority         (uint32_t priority);
__STATIC_INLINE void Coprocessor_ADC_1_DMA_3_SetSrcAddress       (cy_stc_dma_descriptor_t * descriptor, void const * srcAddress);
__STATIC_INLINE void Coprocessor_ADC_1_DMA_3_SetDstAddress       (cy_stc_dma_descriptor_t * descriptor, void const * dstAddress);
__STATIC_INLINE void Coprocessor_ADC_1_DMA_3_SetXloopDataCount   (cy_stc_dma_descriptor_t * descriptor, uint32_t xCount);
__STATIC_INLINE void Coprocessor_ADC_1_DMA_3_SetYloopDataCount   (cy_stc_dma_descriptor_t * descriptor, uint32_t yCount);
__STATIC_INLINE void Coprocessor_ADC_1_DMA_3_SetXloopSrcIncrement(cy_stc_dma_descriptor_t * descriptor, int32_t srcXincrement);
__STATIC_INLINE void Coprocessor_ADC_1_DMA_3_SetXloopDstIncrement(cy_stc_dma_descriptor_t * descriptor, int32_t dstXincrement);
__STATIC_INLINE void Coprocessor_ADC_1_DMA_3_SetYloopSrcIncrement(cy_stc_dma_descriptor_t * descriptor, int32_t srcYincrement);
__STATIC_INLINE void Coprocessor_ADC_1_DMA_3_SetYloopDstIncrement(cy_stc_dma_descriptor_t * descriptor, int32_t dstYincrement);
__STATIC_INLINE void Coprocessor_ADC_1_DMA_3_SetInterruptType    (cy_stc_dma_descriptor_t * descriptor, cy_en_dma_trigger_type_t interruptType);
__STATIC_INLINE void Coprocessor_ADC_1_DMA_3_SetTriggerInType    (cy_stc_dma_descriptor_t * descriptor, cy_en_dma_trigger_type_t triggerInType);
__STATIC_INLINE void Coprocessor_ADC_1_DMA_3_SetTriggerOutType   (cy_stc_dma_descriptor_t * descriptor, cy_en_dma_trigger_type_t triggerOutType);
__STATIC_INLINE void Coprocessor_ADC_1_DMA_3_SetDataSize         (cy_stc_dma_descriptor_t * descriptor, cy_en_dma_data_size_t dataSize);
__STATIC_INLINE void Coprocessor_ADC_1_DMA_3_SetSrcTransferSize  (cy_stc_dma_descriptor_t * descriptor, cy_en_dma_transfer_size_t srcTransferSize);
__STATIC_INLINE void Coprocessor_ADC_1_DMA_3_SetDstTransferSize  (cy_stc_dma_descriptor_t * descriptor, cy_en_dma_transfer_size_t dstTransferSize);
__STATIC_INLINE void Coprocessor_ADC_1_DMA_3_SetRetrigger        (cy_stc_dma_descriptor_t * descriptor, cy_en_dma_retrigger_t retrigger);
__STATIC_INLINE void Coprocessor_ADC_1_DMA_3_SetDescriptorType   (cy_stc_dma_descriptor_t * descriptor, cy_en_dma_descriptor_type_t descriptorType);
__STATIC_INLINE void Coprocessor_ADC_1_DMA_3_SetChannelState     (cy_stc_dma_descriptor_t * descriptor, cy_en_dma_channel_state_t channelState);

__STATIC_INLINE cy_stc_dma_descriptor_t *   Coprocessor_ADC_1_DMA_3_GetDescriptor(void);
__STATIC_INLINE cy_stc_dma_descriptor_t *   Coprocessor_ADC_1_DMA_3_GetNextDescriptor(void);
__STATIC_INLINE uint32_t                    Coprocessor_ADC_1_DMA_3_GetPriority(void);
__STATIC_INLINE cy_en_dma_intr_cause_t      Coprocessor_ADC_1_DMA_3_GetStatus(void);
__STATIC_INLINE cy_en_trigmux_status_t      Coprocessor_ADC_1_DMA_3_Trigger(uint32_t cycles);
__STATIC_INLINE void *                      Coprocessor_ADC_1_DMA_3_GetSrcAddress       (cy_stc_dma_descriptor_t const * descriptor);
__STATIC_INLINE void *                      Coprocessor_ADC_1_DMA_3_GetDstAddress       (cy_stc_dma_descriptor_t const * descriptor);
__STATIC_INLINE uint32_t                    Coprocessor_ADC_1_DMA_3_GetXloopDataCount   (cy_stc_dma_descriptor_t const * descriptor);
__STATIC_INLINE uint32_t                    Coprocessor_ADC_1_DMA_3_GetYloopDataCount   (cy_stc_dma_descriptor_t const * descriptor);
__STATIC_INLINE int32_t                     Coprocessor_ADC_1_DMA_3_GetXloopSrcIncrement(cy_stc_dma_descriptor_t const * descriptor);
__STATIC_INLINE int32_t                     Coprocessor_ADC_1_DMA_3_GetXloopDstIncrement(cy_stc_dma_descriptor_t const * descriptor);
__STATIC_INLINE int32_t                     Coprocessor_ADC_1_DMA_3_GetYloopSrcIncrement(cy_stc_dma_descriptor_t const * descriptor);
__STATIC_INLINE int32_t                     Coprocessor_ADC_1_DMA_3_GetYloopDstIncrement(cy_stc_dma_descriptor_t const * descriptor);
__STATIC_INLINE cy_en_dma_trigger_type_t    Coprocessor_ADC_1_DMA_3_GetInterruptType    (cy_stc_dma_descriptor_t const * descriptor);
__STATIC_INLINE cy_en_dma_trigger_type_t    Coprocessor_ADC_1_DMA_3_GetTriggerInType    (cy_stc_dma_descriptor_t const * descriptor);
__STATIC_INLINE cy_en_dma_trigger_type_t    Coprocessor_ADC_1_DMA_3_GetTriggerOutType   (cy_stc_dma_descriptor_t const * descriptor);
__STATIC_INLINE cy_en_dma_data_size_t       Coprocessor_ADC_1_DMA_3_GetDataSize         (cy_stc_dma_descriptor_t const * descriptor);
__STATIC_INLINE cy_en_dma_transfer_size_t   Coprocessor_ADC_1_DMA_3_GetSrcTransferSize  (cy_stc_dma_descriptor_t const * descriptor);
__STATIC_INLINE cy_en_dma_transfer_size_t   Coprocessor_ADC_1_DMA_3_GetDstTransferSize  (cy_stc_dma_descriptor_t const * descriptor);
__STATIC_INLINE cy_en_dma_retrigger_t       Coprocessor_ADC_1_DMA_3_GetRetrigger        (cy_stc_dma_descriptor_t const * descriptor);
__STATIC_INLINE cy_en_dma_descriptor_type_t Coprocessor_ADC_1_DMA_3_GetDescriptorType   (cy_stc_dma_descriptor_t const * descriptor);
__STATIC_INLINE cy_en_dma_channel_state_t   Coprocessor_ADC_1_DMA_3_GetChannelState     (cy_stc_dma_descriptor_t const * descriptor);

__STATIC_INLINE uint32_t Coprocessor_ADC_1_DMA_3_GetInterruptStatus(void);
__STATIC_INLINE void     Coprocessor_ADC_1_DMA_3_ClearInterrupt(void);
__STATIC_INLINE void     Coprocessor_ADC_1_DMA_3_SetInterrupt(void);
__STATIC_INLINE uint32_t Coprocessor_ADC_1_DMA_3_GetInterruptMask(void);
__STATIC_INLINE void     Coprocessor_ADC_1_DMA_3_SetInterruptMask(uint32_t interrupt);
__STATIC_INLINE uint32_t Coprocessor_ADC_1_DMA_3_GetInterruptStatusMasked(void);


/***************************************
*    Global Variables
***************************************/
extern uint8_t Coprocessor_ADC_1_DMA_3_initVar;

extern const cy_stc_dma_descriptor_config_t Coprocessor_ADC_1_DMA_3_Descriptor_1_config;
extern cy_stc_dma_descriptor_t Coprocessor_ADC_1_DMA_3_Descriptor_1;

extern const cy_stc_dma_descriptor_config_t Coprocessor_ADC_1_DMA_3_Descriptor_2_config;
extern cy_stc_dma_descriptor_t Coprocessor_ADC_1_DMA_3_Descriptor_2;



/***************************************
*    In-line Function Implementation
***************************************/

/*******************************************************************************
* Function Name: Coprocessor_ADC_1_DMA_3_Stop
****************************************************************************//**
* Invokes the Cy_DMA_Channel_Disable() PDL driver function. 
*******************************************************************************/
__STATIC_INLINE void Coprocessor_ADC_1_DMA_3_Stop(void)
{
    Cy_DMA_Channel_Disable(Coprocessor_ADC_1_DMA_3_HW, Coprocessor_ADC_1_DMA_3_DW_CHANNEL);
}


/*******************************************************************************
* Function Name: Coprocessor_ADC_1_DMA_3_ChannelEnable
****************************************************************************//**
* Invokes the Cy_DMA_Channel_Enable() PDL driver function. 
*******************************************************************************/
__STATIC_INLINE void Coprocessor_ADC_1_DMA_3_ChannelEnable(void)
{
    Cy_DMA_Channel_Enable(Coprocessor_ADC_1_DMA_3_HW, Coprocessor_ADC_1_DMA_3_DW_CHANNEL);
}


/*******************************************************************************
* Function Name: Coprocessor_ADC_1_DMA_3_ChannelDisable
****************************************************************************//**
* Invokes the Cy_DMA_Channel_Disable() PDL driver function. 
*******************************************************************************/
__STATIC_INLINE void Coprocessor_ADC_1_DMA_3_ChannelDisable(void)
{
    Cy_DMA_Channel_Disable(Coprocessor_ADC_1_DMA_3_HW, Coprocessor_ADC_1_DMA_3_DW_CHANNEL);
}


/*******************************************************************************
* Function Name: Coprocessor_ADC_1_DMA_3_SetDescriptor
****************************************************************************//**
* Invokes the Cy_DMA_Channel_SetDescriptor() PDL driver function. 
*******************************************************************************/
__STATIC_INLINE void Coprocessor_ADC_1_DMA_3_SetDescriptor(cy_stc_dma_descriptor_t const * descriptor)
{
    Cy_DMA_Channel_SetDescriptor(Coprocessor_ADC_1_DMA_3_HW, Coprocessor_ADC_1_DMA_3_DW_CHANNEL, descriptor);
}


/*******************************************************************************
* Function Name: Coprocessor_ADC_1_DMA_3_GetDescriptor
****************************************************************************//**
* Invokes the Cy_DMA_Channel_GetCurrentDescriptor() PDL driver function.
*******************************************************************************/
__STATIC_INLINE cy_stc_dma_descriptor_t * Coprocessor_ADC_1_DMA_3_GetDescriptor(void)
{
    return(Cy_DMA_Channel_GetCurrentDescriptor(Coprocessor_ADC_1_DMA_3_HW, Coprocessor_ADC_1_DMA_3_DW_CHANNEL));
}


/*******************************************************************************
* Function Name: Coprocessor_ADC_1_DMA_3_SetNextDescriptor
****************************************************************************//**
* Invokes the Cy_DMA_Descriptor_SetNextDescriptor() PDL driver function. 
*******************************************************************************/
__STATIC_INLINE void Coprocessor_ADC_1_DMA_3_SetNextDescriptor(cy_stc_dma_descriptor_t const * descriptor)
{
    Cy_DMA_Descriptor_SetNextDescriptor(Cy_DMA_Channel_GetCurrentDescriptor(Coprocessor_ADC_1_DMA_3_HW, Coprocessor_ADC_1_DMA_3_DW_CHANNEL), descriptor);
}


/*******************************************************************************
* Function Name: Coprocessor_ADC_1_DMA_3_GetNextDescriptor
****************************************************************************//**
* Invokes the Cy_DMA_Descriptor_GetNextDescriptor() PDL driver function. 
*******************************************************************************/
__STATIC_INLINE cy_stc_dma_descriptor_t * Coprocessor_ADC_1_DMA_3_GetNextDescriptor(void)
{
    return(Cy_DMA_Descriptor_GetNextDescriptor(Cy_DMA_Channel_GetCurrentDescriptor(Coprocessor_ADC_1_DMA_3_HW, Coprocessor_ADC_1_DMA_3_DW_CHANNEL)));
}


/*******************************************************************************
* Function Name: Coprocessor_ADC_1_DMA_3_SetPriority
****************************************************************************//**
* Invokes the Cy_DMA_Channel_SetPriority() PDL driver function. 
*******************************************************************************/
__STATIC_INLINE void Coprocessor_ADC_1_DMA_3_SetPriority(uint32_t priority)
{
    Cy_DMA_Channel_SetPriority(Coprocessor_ADC_1_DMA_3_HW, Coprocessor_ADC_1_DMA_3_DW_CHANNEL, priority);
}


/*******************************************************************************
* Function Name: Coprocessor_ADC_1_DMA_3_GetPriority
****************************************************************************//**
* Invokes the Cy_DMA_Channel_GetPriority() PDL driver function.  
*******************************************************************************/
__STATIC_INLINE uint32_t Coprocessor_ADC_1_DMA_3_GetPriority(void)
{
    return (Cy_DMA_Channel_GetPriority(Coprocessor_ADC_1_DMA_3_HW, Coprocessor_ADC_1_DMA_3_DW_CHANNEL));
}


/*******************************************************************************
* Function Name: Coprocessor_ADC_1_DMA_3_SetSrcAddress
****************************************************************************//**
* Invokes the Cy_DMA_Descriptor_SetSrcAddress() PDL driver function. 
*******************************************************************************/
__STATIC_INLINE void Coprocessor_ADC_1_DMA_3_SetSrcAddress(cy_stc_dma_descriptor_t * descriptor, void const * srcAddress)
{
    Cy_DMA_Descriptor_SetSrcAddress(descriptor, srcAddress);
}


/*******************************************************************************
* Function Name: Coprocessor_ADC_1_DMA_3_GetSrcAddress
****************************************************************************//**
* Invokes the Cy_DMA_Descriptor_GetSrcAddress() PDL driver function. 
*******************************************************************************/
__STATIC_INLINE void * Coprocessor_ADC_1_DMA_3_GetSrcAddress(cy_stc_dma_descriptor_t const * descriptor)
{
    return(Cy_DMA_Descriptor_GetSrcAddress(descriptor));
}


/*******************************************************************************
* Function Name: Coprocessor_ADC_1_DMA_3_SetDstAddress
****************************************************************************//**
* Invokes the Cy_DMA_Descriptor_SetDstAddress() PDL driver function.
*******************************************************************************/
__STATIC_INLINE void Coprocessor_ADC_1_DMA_3_SetDstAddress(cy_stc_dma_descriptor_t * descriptor, void const * dstAddress)
{
    Cy_DMA_Descriptor_SetDstAddress(descriptor, dstAddress);
}


/*******************************************************************************
* Function Name: Coprocessor_ADC_1_DMA_3_GetDstAddress
****************************************************************************//**
* Invokes the Cy_DMA_Descriptor_GetDestAddr() PDL driver function.
*******************************************************************************/
__STATIC_INLINE void * Coprocessor_ADC_1_DMA_3_GetDstAddress(cy_stc_dma_descriptor_t const * descriptor)
{
    return(Cy_DMA_Descriptor_GetDstAddress(descriptor));
}


/*******************************************************************************
* Function Name: Coprocessor_ADC_1_DMA_3_SetDataSize
****************************************************************************//**
* Invokes the Cy_DMA_Descriptor_SetDataSize() PDL driver function. 
*******************************************************************************/
__STATIC_INLINE void Coprocessor_ADC_1_DMA_3_SetDataSize(cy_stc_dma_descriptor_t * descriptor, cy_en_dma_data_size_t dataSize)
{
    Cy_DMA_Descriptor_SetDataSize(descriptor, dataSize);
}


/*******************************************************************************
* Function Name: Coprocessor_ADC_1_DMA_3_GetDataSize
****************************************************************************//**
* Invokes the Cy_DMA_Descriptor_GetDataSize() PDL driver function.  
*******************************************************************************/
__STATIC_INLINE cy_en_dma_data_size_t Coprocessor_ADC_1_DMA_3_GetDataSize(cy_stc_dma_descriptor_t const * descriptor)
{
    return(Cy_DMA_Descriptor_GetDataSize(descriptor));
}


/*******************************************************************************
* Function Name: Coprocessor_ADC_1_DMA_3_SetSrcTransferSize
****************************************************************************//**
* Invokes the Cy_DMA_Descriptor_SetSrcTransferSize() PDL driver function. 
*******************************************************************************/
__STATIC_INLINE void Coprocessor_ADC_1_DMA_3_SetSrcTransferSize(cy_stc_dma_descriptor_t * descriptor, cy_en_dma_transfer_size_t srcTransferSize)
{
    Cy_DMA_Descriptor_SetSrcTransferSize(descriptor, srcTransferSize);
}


/*******************************************************************************
* Function Name: Coprocessor_ADC_1_DMA_3_GetSrcTransferSize
****************************************************************************//**
* Invokes the Cy_DMA_Descriptor_GetSrcTransferSize() PDL driver function.  
*******************************************************************************/
__STATIC_INLINE cy_en_dma_transfer_size_t Coprocessor_ADC_1_DMA_3_GetSrcTransferSize(cy_stc_dma_descriptor_t const * descriptor)
{
    return(Cy_DMA_Descriptor_GetSrcTransferSize(descriptor));
}


/*******************************************************************************
* Function Name: Coprocessor_ADC_1_DMA_3_SetDstTransferSize
****************************************************************************//**
* Invokes the Cy_DMA_Descriptor_SetDstTransferSize() PDL driver function. 
*******************************************************************************/
__STATIC_INLINE void Coprocessor_ADC_1_DMA_3_SetDstTransferSize(cy_stc_dma_descriptor_t * descriptor, cy_en_dma_transfer_size_t dstTransferSize)
{
    Cy_DMA_Descriptor_SetDstTransferSize(descriptor, dstTransferSize);
}


/*******************************************************************************
* Function Name: Coprocessor_ADC_1_DMA_3_SetRetrigger
****************************************************************************//**
* Invokes the Cy_DMA_Descriptor_SetRetrigger() PDL driver function. 
*******************************************************************************/
__STATIC_INLINE void Coprocessor_ADC_1_DMA_3_SetRetrigger(cy_stc_dma_descriptor_t * descriptor, cy_en_dma_retrigger_t retrigger)
{
    Cy_DMA_Descriptor_SetRetrigger(descriptor, retrigger);
}


/*******************************************************************************
* Function Name: Coprocessor_ADC_1_DMA_3_SetDescriptorType
****************************************************************************//**
* Invokes the Cy_DMA_Descriptor_SetDescriptorType() PDL driver function. 
*******************************************************************************/
__STATIC_INLINE void Coprocessor_ADC_1_DMA_3_SetDescriptorType(cy_stc_dma_descriptor_t * descriptor, cy_en_dma_descriptor_type_t descriptorType)
{
    Cy_DMA_Descriptor_SetDescriptorType(descriptor, descriptorType);
}


/*******************************************************************************
* Function Name: Coprocessor_ADC_1_DMA_3_SetChannelState
****************************************************************************//**
* Invokes the Cy_DMA_Descriptor_SetChannelState() PDL driver function. 
*******************************************************************************/
__STATIC_INLINE void Coprocessor_ADC_1_DMA_3_SetChannelState(cy_stc_dma_descriptor_t * descriptor, cy_en_dma_channel_state_t channelState)
{
    Cy_DMA_Descriptor_SetChannelState(descriptor, channelState);
}


/*******************************************************************************
* Function Name: Coprocessor_ADC_1_DMA_3_GetDstTransferSize
****************************************************************************//**
* Invokes the Cy_DMA_Descriptor_GetDstTransferSize() PDL driver function.  
*******************************************************************************/
__STATIC_INLINE cy_en_dma_transfer_size_t Coprocessor_ADC_1_DMA_3_GetDstTransferSize(cy_stc_dma_descriptor_t const * descriptor)
{
    return(Cy_DMA_Descriptor_GetDstTransferSize(descriptor));
}


/*******************************************************************************
* Function Name: Coprocessor_ADC_1_DMA_3_GetRetrigger
****************************************************************************//**
* Invokes the Cy_DMA_Descriptor_GetRetrigger() PDL driver function. 
*******************************************************************************/
__STATIC_INLINE cy_en_dma_retrigger_t Coprocessor_ADC_1_DMA_3_GetRetrigger(cy_stc_dma_descriptor_t const * descriptor)
{
    return(Cy_DMA_Descriptor_GetRetrigger(descriptor));
}


/*******************************************************************************
* Function Name: Coprocessor_ADC_1_DMA_3_GetDescriptorType
****************************************************************************//**
* Invokes the Cy_DMA_Descriptor_GetDescriptorType() PDL driver function. 
*******************************************************************************/
__STATIC_INLINE cy_en_dma_descriptor_type_t Coprocessor_ADC_1_DMA_3_GetDescriptorType(cy_stc_dma_descriptor_t const * descriptor)
{
    return(Cy_DMA_Descriptor_GetDescriptorType(descriptor));
}


/*******************************************************************************
* Function Name: Coprocessor_ADC_1_DMA_3_GetChannelState
****************************************************************************//**
* Invokes the Cy_DMA_Descriptor_GetChannelState() PDL driver function. 
*******************************************************************************/
__STATIC_INLINE cy_en_dma_channel_state_t Coprocessor_ADC_1_DMA_3_GetChannelState(cy_stc_dma_descriptor_t const * descriptor)
{
    return(Cy_DMA_Descriptor_GetChannelState(descriptor));
}


/*******************************************************************************
* Function Name: Coprocessor_ADC_1_DMA_3_SetXloopDataCount
****************************************************************************//**
* Invokes the Cy_DMA_Descriptor_SetXloopDataCount() PDL driver function.
*******************************************************************************/
__STATIC_INLINE void Coprocessor_ADC_1_DMA_3_SetXloopDataCount(cy_stc_dma_descriptor_t * descriptor, uint32_t xCount)
{
    Cy_DMA_Descriptor_SetXloopDataCount(descriptor, xCount);
}


/*******************************************************************************
* Function Name: Coprocessor_ADC_1_DMA_3_GetXloopDataCount
****************************************************************************//**
* Invokes the Cy_DMA_Descriptor_GetXloopDataCount() PDL driver function. 
*******************************************************************************/
__STATIC_INLINE uint32_t Coprocessor_ADC_1_DMA_3_GetXloopDataCount(cy_stc_dma_descriptor_t const * descriptor)
{
    return (Cy_DMA_Descriptor_GetXloopDataCount(descriptor));
}


/*******************************************************************************
* Function Name: Coprocessor_ADC_1_DMA_3_SetXloopSrcIncrement
****************************************************************************//**
* Invokes the Cy_DMA_Descriptor_SetXloopSrcIncrement() PDL driver function.
*******************************************************************************/
__STATIC_INLINE void Coprocessor_ADC_1_DMA_3_SetXloopSrcIncrement(cy_stc_dma_descriptor_t * descriptor, int32_t srcXincrement)
{
    Cy_DMA_Descriptor_SetXloopSrcIncrement(descriptor, srcXincrement);
}


/*******************************************************************************
* Function Name: Coprocessor_ADC_1_DMA_3_GetXloopSrcIncrement
****************************************************************************//**
* Invokes the Cy_DMA_Descriptor_GetXloopSrcIncrement() PDL driver function.  
*******************************************************************************/
__STATIC_INLINE int32_t Coprocessor_ADC_1_DMA_3_GetXloopSrcIncrement(cy_stc_dma_descriptor_t const * descriptor)
{
    return (Cy_DMA_Descriptor_GetXloopSrcIncrement(descriptor));
}


/*******************************************************************************
* Function Name: Coprocessor_ADC_1_DMA_3_SetXloopDstIncrement
****************************************************************************//**
* Invokes the Cy_DMA_Descriptor_SetXloopDstIncrement() PDL driver function. 
*******************************************************************************/
__STATIC_INLINE void Coprocessor_ADC_1_DMA_3_SetXloopDstIncrement(cy_stc_dma_descriptor_t * descriptor, int32_t dstXincrement)
{
    Cy_DMA_Descriptor_SetXloopDstIncrement(descriptor, dstXincrement);
}


/*******************************************************************************
* Function Name: Coprocessor_ADC_1_DMA_3_GetXloopDstIncrement
****************************************************************************//**
* Invokes the Cy_DMA_Descriptor_GetXloopDstIncrement() PDL driver function.  
*******************************************************************************/
__STATIC_INLINE int32_t Coprocessor_ADC_1_DMA_3_GetXloopDstIncrement(cy_stc_dma_descriptor_t const * descriptor)
{
    return (Cy_DMA_Descriptor_GetXloopDstIncrement(descriptor));
}


/*******************************************************************************
* Function Name: Coprocessor_ADC_1_DMA_3_SetYloopDataCount
****************************************************************************//**
* Invokes the Cy_DMA_Descriptor_SetYloopDataCount() PDL driver function.  
*******************************************************************************/
__STATIC_INLINE void Coprocessor_ADC_1_DMA_3_SetYloopDataCount(cy_stc_dma_descriptor_t * descriptor, uint32_t yCount)
{
    Cy_DMA_Descriptor_SetYloopDataCount(descriptor, yCount);
}


/*******************************************************************************
* Function Name: Coprocessor_ADC_1_DMA_3_GetYloopDataCount
****************************************************************************//**
* Invokes the Cy_DMA_Descriptor_GetYloopDataCount() PDL driver function.  
*******************************************************************************/
__STATIC_INLINE uint32_t Coprocessor_ADC_1_DMA_3_GetYloopDataCount(cy_stc_dma_descriptor_t const * descriptor)
{
    return (Cy_DMA_Descriptor_GetYloopDataCount(descriptor));
}


/*******************************************************************************
* Function Name: Coprocessor_ADC_1_DMA_3_SetYloopSrcIncrement
****************************************************************************//**
* Invokes the Cy_DMA_Descriptor_SetYloopSrcIncrement() PDL driver function.  
*******************************************************************************/
__STATIC_INLINE void Coprocessor_ADC_1_DMA_3_SetYloopSrcIncrement(cy_stc_dma_descriptor_t * descriptor, int32_t srcYincrement)
{
    Cy_DMA_Descriptor_SetYloopSrcIncrement(descriptor, srcYincrement);
}


/*******************************************************************************
* Function Name: Coprocessor_ADC_1_DMA_3_GetYloopSrcIncrement
****************************************************************************//**
* Invokes the Cy_DMA_Descriptor_GetYloopSrcIncrement() PDL driver function.
*******************************************************************************/
__STATIC_INLINE int32_t Coprocessor_ADC_1_DMA_3_GetYloopSrcIncrement(cy_stc_dma_descriptor_t const * descriptor)
{
    return (Cy_DMA_Descriptor_GetYloopSrcIncrement(descriptor));
}


/*******************************************************************************
* Function Name: Coprocessor_ADC_1_DMA_3_SetYloopDstIncrement
****************************************************************************//**
* Invokes the Cy_DMA_Descriptor_SetYloopDstIncrement() PDL driver function.
*******************************************************************************/
__STATIC_INLINE void Coprocessor_ADC_1_DMA_3_SetYloopDstIncrement(cy_stc_dma_descriptor_t * descriptor, int32_t dstYincrement)
{
    Cy_DMA_Descriptor_SetYloopDstIncrement(descriptor, dstYincrement);
}


/*******************************************************************************
* Function Name: Coprocessor_ADC_1_DMA_3_SetInterruptType
****************************************************************************//**
* Invokes the Cy_DMA_Descriptor_SetInterruptType() PDL driver function.
*******************************************************************************/
__STATIC_INLINE void Coprocessor_ADC_1_DMA_3_SetInterruptType(cy_stc_dma_descriptor_t * descriptor, cy_en_dma_trigger_type_t interruptType)
{
    Cy_DMA_Descriptor_SetInterruptType(descriptor, interruptType);
}


/*******************************************************************************
* Function Name: Coprocessor_ADC_1_DMA_3_SetTriggerInType
****************************************************************************//**
* Invokes the Cy_DMA_Descriptor_SetTriggerInType() PDL driver function.
*******************************************************************************/
__STATIC_INLINE void Coprocessor_ADC_1_DMA_3_SetTriggerInType(cy_stc_dma_descriptor_t * descriptor, cy_en_dma_trigger_type_t triggerInType)
{
    Cy_DMA_Descriptor_SetTriggerInType(descriptor, triggerInType);
}


/*******************************************************************************
* Function Name: Coprocessor_ADC_1_DMA_3_SetTriggerOutType
****************************************************************************//**
* Invokes the Cy_DMA_Descriptor_SetTriggerOutType() PDL driver function.
*******************************************************************************/
__STATIC_INLINE void Coprocessor_ADC_1_DMA_3_SetTriggerOutType(cy_stc_dma_descriptor_t * descriptor, cy_en_dma_trigger_type_t triggerOutType)
{
    Cy_DMA_Descriptor_SetTriggerOutType(descriptor, triggerOutType);
}


/*******************************************************************************
* Function Name: Coprocessor_ADC_1_DMA_3_GetYloopDstIncrement
****************************************************************************//**
* Invokes the Cy_DMA_Descriptor_GetYloopDstIncrement() PDL driver function.
*******************************************************************************/
__STATIC_INLINE int32_t Coprocessor_ADC_1_DMA_3_GetYloopDstIncrement(cy_stc_dma_descriptor_t const * descriptor)
{
    return (Cy_DMA_Descriptor_GetYloopDstIncrement(descriptor));
}


/*******************************************************************************
* Function Name: Coprocessor_ADC_1_DMA_3_GetInterruptType
****************************************************************************//**
* Invokes the Cy_DMA_Descriptor_GetInterruptType() PDL driver function.
*******************************************************************************/
__STATIC_INLINE cy_en_dma_trigger_type_t Coprocessor_ADC_1_DMA_3_GetInterruptType(cy_stc_dma_descriptor_t const * descriptor)
{
    return (Cy_DMA_Descriptor_GetInterruptType(descriptor));
}


/*******************************************************************************
* Function Name: Coprocessor_ADC_1_DMA_3_GetTriggerInType
****************************************************************************//**
* Invokes the Cy_DMA_Descriptor_GetTriggerInType() PDL driver function.
*******************************************************************************/
__STATIC_INLINE cy_en_dma_trigger_type_t Coprocessor_ADC_1_DMA_3_GetTriggerInType(cy_stc_dma_descriptor_t const * descriptor)
{
    return (Cy_DMA_Descriptor_GetTriggerInType(descriptor));
}


/*******************************************************************************
* Function Name: Coprocessor_ADC_1_DMA_3_GetTriggerOutType
****************************************************************************//**
* Invokes the Cy_DMA_Descriptor_GetTriggerOutType() PDL driver function.
*******************************************************************************/
__STATIC_INLINE cy_en_dma_trigger_type_t Coprocessor_ADC_1_DMA_3_GetTriggerOutType(cy_stc_dma_descriptor_t const * descriptor)
{
    return (Cy_DMA_Descriptor_GetTriggerOutType(descriptor));
}


/*******************************************************************************
* Function Name: Coprocessor_ADC_1_DMA_3_GetInterruptStatus()
****************************************************************************//**
* Invokes the Cy_DMA_Channel_GetInterruptStatus() PDL driver function.
*******************************************************************************/
__STATIC_INLINE uint32_t Coprocessor_ADC_1_DMA_3_GetInterruptStatus(void)
{
    return (Cy_DMA_Channel_GetInterruptStatus(Coprocessor_ADC_1_DMA_3_HW, Coprocessor_ADC_1_DMA_3_DW_CHANNEL));
}


/*******************************************************************************
* Function Name: Coprocessor_ADC_1_DMA_3_GetStatus
****************************************************************************//**
* Invokes the Cy_DMA_Channel_GetStatus() PDL driver function.
*******************************************************************************/
__STATIC_INLINE cy_en_dma_intr_cause_t Coprocessor_ADC_1_DMA_3_GetStatus(void)
{
    return (Cy_DMA_Channel_GetStatus(Coprocessor_ADC_1_DMA_3_HW, Coprocessor_ADC_1_DMA_3_DW_CHANNEL));
}


/*******************************************************************************
* Function Name: Coprocessor_ADC_1_DMA_3_ClearInterrupt
****************************************************************************//**
* Invokes the Cy_DMA_Channel_ClearInterrupt() PDL driver function.
*******************************************************************************/
__STATIC_INLINE void Coprocessor_ADC_1_DMA_3_ClearInterrupt(void)
{
    Cy_DMA_Channel_ClearInterrupt(Coprocessor_ADC_1_DMA_3_HW, Coprocessor_ADC_1_DMA_3_DW_CHANNEL);
}


/*******************************************************************************
* Function Name: Coprocessor_ADC_1_DMA_3_SetInterrupt
****************************************************************************//**
* Invokes the Cy_DMA_Channel_SetInterrupt() PDL driver function.
*******************************************************************************/
__STATIC_INLINE void Coprocessor_ADC_1_DMA_3_SetInterrupt(void)
{
    Cy_DMA_Channel_SetInterrupt(Coprocessor_ADC_1_DMA_3_HW, Coprocessor_ADC_1_DMA_3_DW_CHANNEL);
}


/*******************************************************************************
* Function Name: Coprocessor_ADC_1_DMA_3_GetInterruptMask
****************************************************************************//**
* Invokes the Cy_DMA_Channel_GetInterruptMask() PDL driver function.
*******************************************************************************/
__STATIC_INLINE uint32_t Coprocessor_ADC_1_DMA_3_GetInterruptMask(void)
{
    return (Cy_DMA_Channel_GetInterruptMask(Coprocessor_ADC_1_DMA_3_HW, Coprocessor_ADC_1_DMA_3_DW_CHANNEL));
}


/*******************************************************************************
* Function Name: Coprocessor_ADC_1_DMA_3_SetInterruptMask
****************************************************************************//**
* Invokes the Cy_DMA_Channel_SetInterruptMask() PDL driver function.
*******************************************************************************/
__STATIC_INLINE void Coprocessor_ADC_1_DMA_3_SetInterruptMask(uint32_t interrupt)
{
    Cy_DMA_Channel_SetInterruptMask(Coprocessor_ADC_1_DMA_3_HW, Coprocessor_ADC_1_DMA_3_DW_CHANNEL, interrupt);
}


/*******************************************************************************
* Function Name: Coprocessor_ADC_1_DMA_3_GetInterruptStatusMasked
****************************************************************************//**
* Invokes the Cy_DMA_Channel_GetInterruptStatusMasked() PDL driver function.
*******************************************************************************/
__STATIC_INLINE uint32_t Coprocessor_ADC_1_DMA_3_GetInterruptStatusMasked(void)
{
    return (Cy_DMA_Channel_GetInterruptStatusMasked(Coprocessor_ADC_1_DMA_3_HW, Coprocessor_ADC_1_DMA_3_DW_CHANNEL));
}


/*******************************************************************************
* Function Name: Coprocessor_ADC_1_DMA_3_Trigger
****************************************************************************//**
*
* Invokes the Cy_TrigMux_SwTrigger() PDL driver function.
*
* \param cycles
*  The number of "Clk_Peri" cycles during which the trigger remains activated.
*  The valid range of cycles is 1 ... 254.
*  Also there are special values:
*  CY_TRIGGER_INFINITE - trigger remains activated untill user deactivates it by
*  calling this function with CY_TRIGGER_DEACTIVATE parameter.
*  CY_TRIGGER_DEACTIVATE - it is used to deactivate the trigger activated by
*  calling this function with CY_TRIGGER_INFINITE parameter.
*  Note: the DMA is clocked by "Clk_Slow" which can be slower than "Clk_Peri".
* 
* \return A status:
* - CY_TRIGMUX_SUCCESS: The trigger is succesfully activated/deactivated.
* - CY_TRIGMUX_INVALID_STATE: The trigger is already activated/not active.
*
*******************************************************************************/
__STATIC_INLINE cy_en_trigmux_status_t Coprocessor_ADC_1_DMA_3_Trigger(uint32_t cycles)
{
    return (Cy_TrigMux_SwTrigger((uint32_t)Coprocessor_ADC_1_DMA_3_DW__TR_IN, cycles));
}


#if(CY_DMA_BWC)
/* Definitions to support backward compatibility with the component version 1.0, 
*  they are strongly not recommended to use in new designs */

#define Coprocessor_ADC_1_DMA_3_ChEnable                (Coprocessor_ADC_1_DMA_3_ChannelEnable)
#define Coprocessor_ADC_1_DMA_3_ChDisable               (Coprocessor_ADC_1_DMA_3_ChannelDisable)
#define Coprocessor_ADC_1_DMA_3_SetDataElementSize      (Coprocessor_ADC_1_DMA_3_SetDataSize)
#define Coprocessor_ADC_1_DMA_3_GetDataElementSize      (Coprocessor_ADC_1_DMA_3_GetDataSize)
#define Coprocessor_ADC_1_DMA_3_SetXloopNumDataElements (Coprocessor_ADC_1_DMA_3_SetXloopDataCount)
#define Coprocessor_ADC_1_DMA_3_GetXloopNumDataElements (Coprocessor_ADC_1_DMA_3_GetXloopDataCount)
#define Coprocessor_ADC_1_DMA_3_SetYloopNumDataElements (Coprocessor_ADC_1_DMA_3_SetYloopDataCount)
#define Coprocessor_ADC_1_DMA_3_GetYloopNumDataElements (Coprocessor_ADC_1_DMA_3_GetYloopDataCount)
#define Coprocessor_ADC_1_DMA_3_SetInterruptMask()      (Coprocessor_ADC_1_DMA_3_SetInterruptMask(Coprocessor_ADC_1_DMA_3_INTR_MASK))
#define Coprocessor_ADC_1_DMA_3_GetInterruptCause       (Coprocessor_ADC_1_DMA_3_GetStatus)

#define Coprocessor_ADC_1_DMA_3_PREEMTAMBLE             (Coprocessor_ADC_1_DMA_3_PREEMPTABLE)
/*******************************************************************************
* Function Name: Coprocessor_ADC_1_DMA_3_SetSrcDstTransferWidth
****************************************************************************//**
* This is a legacy API function, it is left here just for backward compatibility
*******************************************************************************/
__STATIC_INLINE void Coprocessor_ADC_1_DMA_3_SetSrcDstTransferWidth(cy_stc_dma_descriptor_t * descriptor, uint32_t options)
{
    uint32_t ctlRegVal = descriptor->ctl & ((uint32_t)~(DW_DESCR_STRUCT_DESCR_CTL_SRC_TRANSFER_SIZE_Msk | \
            DW_DESCR_STRUCT_DESCR_CTL_DST_TRANSFER_SIZE_Msk));
    
    descriptor->ctl = ctlRegVal |
        ((options << DW_DESCR_STRUCT_DESCR_CTL_SRC_TRANSFER_SIZE_Pos) &
        (DW_DESCR_STRUCT_DESCR_CTL_SRC_TRANSFER_SIZE_Msk | DW_DESCR_STRUCT_DESCR_CTL_DST_TRANSFER_SIZE_Msk));
}


/*******************************************************************************
* Function Name: DMA_1_GetSrcDstTransferWidth
****************************************************************************//**
* This is a legacy API function, it is left here just for backward compatibility
*******************************************************************************/
__STATIC_INLINE uint32_t Coprocessor_ADC_1_DMA_3_GetSrcDstTransferWidth(cy_stc_dma_descriptor_t const * descriptor)
{
    uint32_t ctlRegVal = descriptor->ctl & (DW_DESCR_STRUCT_DESCR_CTL_SRC_TRANSFER_SIZE_Msk |
        DW_DESCR_STRUCT_DESCR_CTL_DST_TRANSFER_SIZE_Msk);
    
    return(ctlRegVal >> DW_DESCR_STRUCT_DESCR_CTL_SRC_TRANSFER_SIZE_Pos);
}

#endif /* CY_DMA_BWC */


#if defined(__cplusplus)
}
#endif

#endif/* (Coprocessor_ADC_1_DMA_3_CH_H) */

/* [] END OF FILE */
